Package org.eclipse.lemminx.services.format

## Class DOMElementFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMElementFormatter

    public class DOMElementFormatter
    extends Object

DOM element formatter.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DOMElementFormatter​(XMLFormatterDocument formatterDocument, DOMAttributeFormatter attributeFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatElement​(DOMElement element, XMLFormattingConstraints parentConstraints, int start, int end, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMElementFormatter

    public DOMElementFormatter​(XMLFormatterDocument formatterDocument,
                               DOMAttributeFormatter attributeFormatter)

### Method Detail

#### formatElement

    public void formatElement​(DOMElement element,
                              XMLFormattingConstraints parentConstraints,
                              int start,
                              int end,
                              List<org.eclipse.lsp4j.TextEdit> edits)